---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.28
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: cluster-node-tuning-operator-9746cdd78-v49mb
      namespace: openshift-cluster-node-tuning-operator
      uid: a0678cbc-3e1a-4f52-9842-bd76a747b5ae
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:27:52Z"
    creationTimestamp: "2025-10-27T11:18:27Z"
    generateName: node-tuning-operator-
    generation: 5
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: node-tuning-operator
      name: node-tuning-operator
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:name: {}
            f:service.kubernetes.io/headless: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"ef9e9780-d739-440b-acb4-b0ab4861d6f8"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:27:52Z"
    name: node-tuning-operator-wnmrs
    namespace: openshift-cluster-node-tuning-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: node-tuning-operator
      uid: ef9e9780-d739-440b-acb4-b0ab4861d6f8
    resourceVersion: "43944"
    uid: f99c1deb-502c-4bbc-9b07-93f52236d062
  ports:
  - name: ""
    port: 60000
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.28
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: cluster-node-tuning-operator-9746cdd78-v49mb
      namespace: openshift-cluster-node-tuning-operator
      uid: a0678cbc-3e1a-4f52-9842-bd76a747b5ae
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:27:52Z"
    creationTimestamp: "2025-10-27T11:18:42Z"
    generateName: performance-addon-operator-service-
    generation: 5
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: performance-addon-operator-service
      name: performance-addon-operator-service
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"3f26e26b-8cfb-4950-bafa-fcb271ce4bce"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:27:52Z"
    name: performance-addon-operator-service-sqldt
    namespace: openshift-cluster-node-tuning-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: performance-addon-operator-service
      uid: 3f26e26b-8cfb-4950-bafa-fcb271ce4bce
    resourceVersion: "43946"
    uid: df290af6-90fb-4d7a-a3d1-c201ea9044eb
  ports:
  - name: "443"
    port: 4343
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2219935"
